Subject: RE: Last Call: <draft-ietf-netmod-yang-metadata-04.txt> (Defining and Using Metadata with YANG) to Proposed Standard

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 9 Mar 2016 16:02:16 +0000

This documents looks fine to me. 

I have one comment though. 

In Section 6: 

>    [RFC6110] defines the standard mapping of YANG data models to
   Document Schema Definition Languages (DSDL) [ISO.19757-1].  This
   section specifies the mapping for the extension statement
   "md:annotation" (Section 7), which enables validation of XML instance
   documents containing metadata annotations.

>   The first step of the DSDL mapping procedure, i.e., the
   transformation of the YANG data model to the hybrid schema (see
   sec. 6 in [RFC6110]), is modified as follows:

...

Does not this mean that the document updated RFC 6110 and this should be mentioned in the header? 

Regards,

Dan

> -----Original Message-----
> From: IETF-Announce [mailto:[email-masked]] On Behalf Of
> The IESG
> Sent: Wednesday, February 24, 2016 4:18 PM
> To: IETF-Announce
> Cc: [email-masked]; [email-masked]; draft-ietf-netmod-yang-
> [email-masked]; [email-masked]; [email-masked]
> Subject: Last Call: <draft-ietf-netmod-yang-metadata-04.txt> (Defining and
> Using Metadata with YANG) to Proposed Standard
> 
> 
> The IESG has received a request from the NETCONF Data Modeling Language
> WG (netmod) to consider the following document:
> - 'Defining and Using Metadata with YANG'
>   <draft-ietf-netmod-yang-metadata-04.txt> as Proposed Standard
> 
> The IESG plans to make a decision in the next few weeks, and solicits final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2016-03-09. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the beginning of
> the Subject line to allow automated sorting.
> 
> Abstract
> 
> 
>    This document defines a YANG extension statement that allows for
>    defining metadata annotations in YANG modules.  The document also
>    specifies XML and JSON encoding of annotations and other rules for
>    annotating instances of YANG data nodes.
> 
> 
>

---

From: Ladislav Lhotka <[email-masked]>
Date: Wed, 9 Mar 2016 18:07:20 +0100

Hi Dan,

thanks for reviewing the document.

> On 09 Mar 2016, at 17:02, Romascanu, Dan (Dan) <[email-masked]> wrote:
> 

This is correct, and a good catch! I will update the header accordingly in the next revision.  

Lada

--
Ladislav Lhotka, CZ.NIC Labs
PGP Key ID: E74E8C0C